[Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny - Samba

This is a discussion on [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny - Samba ; The day after Karolin announced the release of 3.2.0-pre3, the Debian packaging team was able to upload .deb packages for it in Debian *experimental*. To use them, you need to already use Debian testing or unstable, then add this to ...

+ Reply to Thread
Results 1 to 7 of 7

Thread: [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

  1. [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    The day after Karolin announced the release of 3.2.0-pre3, the Debian
    packaging team was able to upload .deb packages for it in Debian
    *experimental*.

    To use them, you need to already use Debian testing or unstable, then
    add this to /etc/apt/sources.list:

    deb http://ftp.fr.debian.org/debian experimental main contrib non-free
    (replace "fr" by your favorite mirror country code)


    If you do so, it is recommended to add:

    APT:efault-Release "unstable";

    to /etc/apt/preferences...
    (replace with "testing" if you're using testing)


    You can then install the 3.2.0 packages with:
    apt-get install -t experimental samba


    PS: these packages should be usable for Ubuntu Hardy users (untested,
    though). You might want to replace "unstable" by "hardy" in
    /etc/apt/preferences, then.

    News about Samba in Debian lenny
    --------------------------------

    Debian lenny is due out for September 2008. From the news we currently
    have, it seems wiser to stick with 3.0.28a rather than a quite
    disruptive and uncertain 3.2.0.... This is currently the plan of the
    packaging team for Samba in Debian (and Ubuntu).

    We will do our best to offer 3.2.0 packages for lenny on the
    backports.org server.

    Ubuntu Hardy will have 3.0.28a and the same is likely to be true for
    hardy+1 (8.10 or so).



    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  2. Re: [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Christian Perrier wrote:

    | News about Samba in Debian lenny
    | --------------------------------
    |
    | Debian lenny is due out for September 2008. From the news we currently
    | have, it seems wiser to stick with 3.0.28a rather than a quite
    | disruptive and uncertain 3.2.0.... This is currently the plan of the
    | packaging team for Samba in Debian (and Ubuntu).
    |
    | We will do our best to offer 3.2.0 packages for lenny on the
    | backports.org server.
    |
    | Ubuntu Hardy will have 3.0.28a and the same is likely to be true for
    | hardy+1 (8.10 or so).

    Christian, I really disagree here. What made you com to
    the decision that 3.0 is batter for a September Debian
    release?






    cheers, jerry
    - --
    ================================================== ===================
    Samba ------- http://www.samba.org
    Likewise Software --------- http://www.likewisesoftware.com
    "What man is a man who does not make the world better?" --Balian
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.2.2 (Darwin)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

    iD8DBQFIFcitIR7qMdg1EfYRAvlTAKDWSdlaV+BP4wkmuUDOHW o0Fi/HmQCfQFYN
    QJi6qea/vcUyCOkmz02+2Ko=
    =pia0
    -----END PGP SIGNATURE-----
    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  3. [Samba] Re: Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    On Mon, Apr 28, 2008 at 01:54:26PM +0200, Christian Perrier wrote:
    > Debian lenny is due out for September 2008. From the news we currently
    > have, it seems wiser to stick with 3.0.28a rather than a quite


    3.0.28a has known bugs in particular with trusts, so you
    will inevitably have to backport stuff from 3.0.28b that
    will be done by then. And, I have to agree with Jerry,
    having to live with .28a for the next decade in Debian might
    be not the best thing.

    Volker

    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.5 (GNU/Linux)

    iD8DBQFIFc95UzqjrWwMRl0RAq6ZAJ9uyCqZPki6p+Hidd/GIzZ4sGvdmQCfc+ON
    fs+ZCGwl0EqDMkkB9gGxMTo=
    =uY3X
    -----END PGP SIGNATURE-----


  4. [Samba] Re: Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    Quoting Volker Lendecke (Volker.Lendecke@SerNet.DE):

    > 3.0.28a has known bugs in particular with trusts, so you
    > will inevitably have to backport stuff from 3.0.28b that
    > will be done by then. And, I have to agree with Jerry,
    > having to live with .28a for the next decade in Debian might
    > be not the best thing.


    heh, Debian releases are not supported for a decade..:-). We're just
    dropping support for sarge (which was out in 2005) right now. So, in
    short, we're roughly targeting a 3-year support timeframe.

    When it comes at samba, the "supported" releases are currently:
    - 3.0.14a which came with Debian sarge
    - 3.0.24 which came with Debian etch
    (both were updated with security fixes, of course)

    Of course, if 3.0.x releases come out, these will be included in
    lenny. Such updates do not break the philosophy of the current "soft
    freeze" if I correctly understand the policy of the Samba Team for the
    next releases.

    So, in short, Debian will be released with "whatever 3.0.x version"
    will be current as of the day of the hard freeze of the distribution.


    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  5. Re: [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    Quoting Gerald (Jerry) Carter (jerry@samba.org):

    > Christian, I really disagree here. What made you com to
    > the decision that 3.0 is batter for a September Debian
    > release?



    Because the Debian release team asked maintainers to slow odwn
    upstream version bumps as of March 2008. And one of the keys of "try
    to release Debian on time" is avoiding to go against the release team
    suggestions.

    (for instance, the KDE packaging team decided to stick with KDE 3.4
    for such reasons)

    Debian entered the freeze stage for lenny on April 1st. Currenly, only
    the base system packages are frozen, but the freeze should slowly become
    stronger (the toolchain should come soon).

    The current schedule for releasing samba 3.2.0 leaves us quite a chort
    time before the planned release and, with the current manpower we have
    in the Debian maintenance team, I don't feel comfortable going to
    3.2.0 now.

    That's a very though decision, indeed. I somewhat feel like Steve
    Langasek will agree (actually he didn't disagree when I proposed this
    in ou internal mailign list....while he may be too busy with the
    Ubuntu release).

    Of course, I'm ready to hear arguments against that decision...

    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  6. Re: [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Christian,

    | Debian entered the freeze stage for lenny on April 1st.

    Wow! A 5 month freeze before release? I guess I can
    understand for a distro but that seems a bit excessive.







    cheers, jerry
    - --
    ================================================== ===================
    Samba ------- http://www.samba.org
    Likewise Software --------- http://www.likewisesoftware.com
    "What man is a man who does not make the world better?" --Balian
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.2.2 (Darwin)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

    iD8DBQFIFx9nIR7qMdg1EfYRAgdGAKDAa5CaoNxlMC/IUK/xpCARs9n+TQCg1jE2
    YvSSxlCdq6v3LGzsnno0hjg=
    =xH+j
    -----END PGP SIGNATURE-----
    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  7. Re: [Samba] Samba 3.2.0-pre3 packages in Debian - version of Samba in Debian lenny

    Quoting Gerald (Jerry) Carter (jerry@samba.org):
    > -----BEGIN PGP SIGNED MESSAGE-----
    > Hash: SHA1
    >
    > Christian,
    >
    > | Debian entered the freeze stage for lenny on April 1st.
    >
    > Wow! A 5 month freeze before release? I guess I can
    > understand for a distro but that seems a bit excessive.



    Well, etch freeze started on Aug. 1st 2006 and etch was released on
    Apr 8th 2007, so 5 months is actually *short*..:-)

    For people interested in such stuff, here's the release schedule:

    Early March 2008
    Very soft freeze
    Please start thinking about the release when uploading new major
    upstream versions. Only upload to unstable if you are sure that
    the software will be stable before we release. If you are not
    convinced, use experimental as staging area.

    Freeze of release goal list
    We will announce the final list of release goals and report about
    the progress made in each area. At this point, goals which look
    too hard to complete for lenny will be removed from the list (and
    automatically put on the list for lenny+1)

    Start of the second BSP marathon for Lenny
    See below for more information about this, but you can and should
    help with it.

    Early April 2008
    Freeze of the essential toolchain

    Mid of June 2008
    Freeze of the non-essential toolchain and all libraries
    The "non-essential toolchain" means things like debhelper, cdbs
    and a big chunk of other things usually needed to produce binary
    packages.

    Mid of July 2008
    Full freeze
    Please don't wait with uploads for the last day before the freeze,
    thanks.

    September 2008
    Release lenny!

    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

+ Reply to Thread